MSP430™CapTIvateSoftwareLibraryAPIGuide 1_70_00_03

Data Fields
tElement Struct Reference
CAPT_TYPE

typedef tElement More...

`#include <CAPT_Type.h>`

Collaboration diagram for tElement:
[legend]

## Data Fields
IQ16_t | filterCount
IQ16_t | LTA
tCaptivateElementTuning * | pTuning
uint16_t * | pRawCount
uint8_t | ui8TouchThreshold
tDeBounceSettings | ProxDbCounter
tDeBounceSettings | TouchDbCounter
uint8_t | ui8RxPin: 4
uint8_t | ui8RxBlock: 4
| Specifies the CapTIvate™ block on which the Rx pin resides. More...
uint8_t | ui8TxPin: 4
uint8_t | ui8TxBlock: 4
bool | bNoiseDetected: 1
| The noise detected flag indicates that noise was found on the channel. More...
bool | bBISTFail:1
bool | bDetect: 1
bool | bProx: 1
bool | bNegativeTouch: 1
bool | bTouch: 1
| Touch status flag. Indicates when the element is in a touched state. More...
bool | bElementHalt: 1
| Halt LTA updating immediately on this element specifically. More...
bool | bReseed: 1
| Trigger a filter reseed on this element specifically. More...
uint16_t | ui16PrevCompositeRawCount
| The previous composite raw count for this element. More...
uint16_t | ui16CompositeRawCount
| The current composite raw count for this element. More...
uint16_t | ui16NoiseCount
| The noise spread observed during a multi-frequency conversion. More...

## Detailed Description

typedef tElement

The element structure is used to define the lowest level properties of an element. All element specific properties are stored in the struct for each element.

## Field Documentation

## § filterCount

IQ16_t tElement::filterCount

Holds the current count for this element as a filtered value. If multi-frequency scanning is enabled, this value represents the composite of all measurements.

## § LTA

IQ16_t tElement::LTA

Holds the long term average for this element as a filtered value. If multi-frequency scanning is enabled, this value represents the composite of all measurements.

## § pTuning

tCaptivateElementTuning* tElement::pTuning

This pointer links to the array of tuning structures. Each frequency that this element is scanned at requires a tuning structure. The tuning structure contains gain and offset configurations as defined by the automatic runtime calibration algorithm.

## § pRawCount

uint16_t* tElement::pRawCount

This is a pointer to an array of raw count values. each frequency that this element is scanned at requires a place to store the raw conversion result at that frequency.

## § ui8TouchThreshold

uint8_t tElement::ui8TouchThreshold

Touch threshold for this element. Units are specified as 1/128 of the element's LTA.

## § ProxDbCounter

tDeBounceSettings tElement::ProxDbCounter

De-Bounce structure that stores the current de-bounce count (in and out) for this element's proximity status flag.

## § TouchDbCounter

tDeBounceSettings tElement::TouchDbCounter

De-Bounce structure that stores the current de-bounce count (in and out) for this element's touch status flag.

## § ui8RxPin

uint8_t tElement::ui8RxPin

Specifies the Rx pin on the given block that this element is connected to.

## § ui8RxBlock

uint8_t tElement::ui8RxBlock

Specifies the CapTIvate™ block on which the Rx pin resides.

## § ui8TxPin

uint8_t tElement::ui8TxPin

Specifies the Tx pin on the given block that this element is connected to. Applies to projected (mutual) cap only.

## § ui8TxBlock

uint8_t tElement::ui8TxBlock

Specifies the CapTIvate™ block on which the Rx pin resides. Applies to projected (mutual) cap only.

## § bNoiseDetected

bool tElement::bNoiseDetected

The noise detected flag indicates that noise was found on the channel.

## § bBISTFail

bool tElement::bBISTFail

The Built-In Self Test (BIST) feature will flag elements here that fail a built in self test. This bit may also be used to flag a max count error at an element level during run time (When a BIST is not running)

## § bDetect

bool tElement::bDetect

Indicates a prox threshold crossing detection in the finite state machine. This bit is only valid when the FSM is enabled and the detection results are valid.

## § bProx

bool tElement::bProx

Proximity status flag. Indicates when the element is in a prox state. If the prox de-bounce thresholds are set to 0, then bProx = bDetect.

## § bNegativeTouch

bool tElement::bNegativeTouch

Indicates a negative touch threshold crossing detection in the finite state machine. This bit is only valid when the FSM is enabled and the detection results are valid.

## § bTouch

bool tElement::bTouch

Touch status flag. Indicates when the element is in a touched state.

## § bElementHalt

bool tElement::bElementHalt

Halt LTA updating immediately on this element specifically.

## § bReseed

bool tElement::bReseed

Trigger a filter reseed on this element specifically.

## § ui16PrevCompositeRawCount

uint16_t tElement::ui16PrevCompositeRawCount

The previous composite raw count for this element.

## § ui16CompositeRawCount

uint16_t tElement::ui16CompositeRawCount

The current composite raw count for this element.

## § ui16NoiseCount

uint16_t tElement::ui16NoiseCount

The noise spread observed during a multi-frequency conversion.

The documentation for this struct was generated from the following file:

- CAPT_Type.h

© Copyright 1995-2018, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale